cURL
curl -X GET 'https://api.telegent.com/v1.0/services?ServiceId=SID-65d007be-8b49-45ac-b8ae-77b8d6a66c8b' \
-H 'Authorization: Bearer YOUR_TOKEN'import requests
url = "https://api.telegent.com/v1.0/services"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.telegent.com/v1.0/services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ServiceId": "SID-65d007be-8b49-45ac-b8ae-77b8d6a66c8b",
"ServiceName": "Caller Id",
"Cost": 2.34,
"Monthly": true,
"Active": true
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Services
Get Service Details
Retrieve detailed information about a specific service by its ServiceId. Returns service name, cost, billing frequency, and status.
What this does: Returns the service details including name, cost, billing frequency, and status. Use this to retrieve the SID- ID needed when adding service items or associating the service with products.
Next steps:
- View service items —
GET /v1.0/services/items - Update service —
POST /v1.0/services/update
GET
/
v1.0
/
services
cURL
curl -X GET 'https://api.telegent.com/v1.0/services?ServiceId=SID-65d007be-8b49-45ac-b8ae-77b8d6a66c8b' \
-H 'Authorization: Bearer YOUR_TOKEN'import requests
url = "https://api.telegent.com/v1.0/services"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.telegent.com/v1.0/services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ServiceId": "SID-65d007be-8b49-45ac-b8ae-77b8d6a66c8b",
"ServiceName": "Caller Id",
"Cost": 2.34,
"Monthly": true,
"Active": true
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Query Parameters
The unique service ID to retrieve details for
Response
Service-Details
The response is of type object.
⌘I